import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as viewer from '@mescius/wijmo.viewer';
import { getReports } from './data';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
let reportViewer = new viewer.ReportViewer('#reportViewer', {
serviceUrl: 'https://developer.mescius.com/componentone/demos/aspnet/c1webapi/latest/api/report'
});
let lbReports = document.querySelector('#reports');
lbReports.addEventListener('change', () => loadReport());
//
// fill reports list
fillReportList(getReports());
loadReport();
//
function fillReportList(reports) {
let selCat = reports.selectedReport.categoryName, selRep = reports.selectedReport.reportName;
//
reports.categories.forEach(cat => {
let catName = cat.name, optGroup = createComboOptionGroup(cat.text);
//
cat.reports.forEach(rep => {
let option = createComboOption(rep.reportTitle, `${catName}/${rep.fileName}*${rep.reportName}`);
//
option.selected = (catName === selCat && rep.reportName === selRep);
optGroup.appendChild(option);
});
//
lbReports.appendChild(optGroup);
});
}
//
function loadReport() {
let info = lbReports.value.split('*');
reportViewer.filePath = 'ReportsRoot/' + info[0];
reportViewer.reportName = info[1];
reportViewer.paginated = true;
}
//
function createComboOptionGroup(text) {
let optGroup = document.createElement('optgroup');
optGroup.label = text;
return optGroup;
}
//
function createComboOption(text, value) {
let option = document.createElement('option');
option.innerHTML = text;
option.value = value;
return option;
}
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Viewing FlexReport reports</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div class="row report-names">
<label for="reports">Selected FlexReport Report:</label>
<select id="reports" class="combobox"></select>
</div>
<div id="reportViewer"></div>
</div>
</body>
</html>
//
export function getReports() {
return {
selectedReport: {
categoryName: 'Formatting',
reportName: 'AlternateBackground'
},
categories: [
{
name: 'Controls',
text: 'Controls',
reports: [
{
fileName: 'AllCharts.flxr',
reportName: 'AllCharts',
reportTitle: 'All Charts'
},
{
fileName: 'BarcodeProductLabels.flxr',
reportName: 'Product Labels (EAN-13, Label 5096)',
reportTitle: 'Barcode Product Labels'
},
{
fileName: 'BarcodeShippingLabels.flxr',
reportName: 'Shipping Labels (Code 128, Label 5164)',
reportTitle: 'Barcode Shipping Labels'
},
{
fileName: 'BoundImages.flxr',
reportName: 'Bound Images',
reportTitle: 'Bound Images'
},
{
fileName: 'Charts.flxr',
reportName: 'Charts',
reportTitle: 'Charts'
},
{
fileName: 'CheckBox.flxr',
reportName: 'CheckBox',
reportTitle: 'Check Box'
},
{
fileName: 'ComplexExpressions.flxr',
reportName: 'ComplexExpressions',
reportTitle: 'Complex Expressions'
},
{
fileName: 'NewCharts.flxr',
reportName: 'NewCharts',
reportTitle: 'New Charts'
},
{
fileName: 'PageHeadersInSubreports.flxr',
reportName: 'Page Headers in Subreports',
reportTitle: 'PageHeader In Subreports'
},
{
fileName: 'ParagraphField.flxr',
reportName: 'ParagraphField',
reportTitle: 'Paragraph Field'
},
{
fileName: 'RTFField.flxr',
reportName: 'RTFField',
reportTitle: 'RTF Field'
},
{
fileName: 'Shapes.flxr',
reportName: 'Shapes',
reportTitle: 'Shapes'
},
{
fileName: 'UnboundImages.flxr',
reportName: 'Unbound Images',
reportTitle: 'Unbound Images'
}
]
},
{
name: 'DataBinding',
text: 'Data Binding',
reports: [
{
fileName: 'MultiDataSource.flxr',
reportName: 'MultiDataSource',
reportTitle: 'Multiple Data Source'
},
{
fileName: 'Nwind.flxr',
reportName: 'Invoice',
reportTitle: 'NWind'
},
{
fileName: 'StoredProcedure.flxr',
reportName: 'Alphabetical List of Products',
reportTitle: 'Stored Procedure'
}
]
},
{
name: 'DataCalculations',
text: 'Data Calculations',
reports: [
{
fileName: 'Aggregates.flxr',
reportName: 'Aggregates',
reportTitle: 'Aggregates'
},
{
fileName: 'CalculatedFields.flxr',
reportName: 'CalculatedFields',
reportTitle: 'Calculated Fields'
},
{
fileName: 'GroupPageCounts.flxr',
reportName: 'GroupPageCounts',
reportTitle: 'Page Counts'
},
{
fileName: 'RunningSums.flxr',
reportName: 'Running Sums',
reportTitle: 'Running Sums'
}
]
},
{
name: 'DataManipulation',
text: 'Data Manipulation',
reports: [
{
fileName: 'CascadingParameters.flxr',
reportName: 'Cascading Parameters',
reportTitle: 'Cascading Parameters'
},
{
fileName: 'MultivalueParameters.flxr',
reportName: 'MultivalueParameters',
reportTitle: 'Multivalue Parameters'
},
{
fileName: 'Parameters.flxr',
reportName: 'Parameters',
reportTitle: 'Parameters'
},
{
fileName: 'Sorting.flxr',
reportName: 'Sorting',
reportTitle: 'Sorting'
}
]
},
{
name: 'EnterpriseReports',
text: 'Enterprise Reports',
reports: [
{
fileName: 'EmployeeExpReport.flxr',
reportName: 'EmpExpenseReport',
reportTitle: 'Employee Expense Report'
},
{
fileName: 'MarketingProjectPlan.flxr',
reportName: 'MarketingProjectPlan',
reportTitle: 'Marketing Project Plan'
},
{
fileName: 'MonthlyProjectExpenseTracking.flxr',
reportName: 'MonthlyProjectExpenseTracking',
reportTitle: 'Monthly Project Expense'
},
{
fileName: 'OrganizationChart.flxr',
reportName: 'OrganizationChart',
reportTitle: 'Organization Chart'
}
]
},
{
name: 'FinancialReports',
text: 'Financial Reports',
reports: [
{
fileName: 'BalanceSheet.flxr',
reportName: 'BalanceSheet',
reportTitle: 'Balance Sheet'
},
{
fileName: 'InventoryManagementReport.flxr',
reportName: 'InventoryManagementReport',
reportTitle: 'Inventory Management Report'
},
{
fileName: 'MonthlyBudget.flxr',
reportName: 'MonthlyBudget',
reportTitle: 'Monthly Budget'
}
]
},
{
name: 'Formatting',
text: 'Formatting',
reports: [
{
fileName: 'AlternateBackground.flxr',
reportName: 'AlternateBackground',
reportTitle: 'Alternating Background'
},
{
fileName: 'ConditionalFormatting.flxr',
reportName: 'ConditionalFormatting',
reportTitle: 'Conditional Formatting'
},
{
fileName: 'Watermark.flxr',
reportName: 'Watermark',
reportTitle: 'Watermark'
}
]
},
{
name: 'Layout',
text: 'Layout',
reports: [
{
fileName: 'Layout.flxr',
reportName: 'Layout',
reportTitle: 'Can Grow/Can Shrink'
},
{
fileName: 'ContinuedHeaders.flxr',
reportName: 'Continued Headers',
reportTitle: 'Continued Headers'
},
{
fileName: 'CustomPaperSize.flxr',
reportName: 'Custom Paper Size',
reportTitle: 'Custom Paper Size'
},
{
fileName: 'DynamicPH.flxr',
reportName: 'Dynamic Page Header',
reportTitle: 'Dynamic Page Headers'
},
{
fileName: 'ForcePageBreaks.flxr',
reportName: 'Force Page Breaks',
reportTitle: 'Force Page Breaks'
},
{
fileName: 'Gutter.flxr',
reportName: 'Gutter',
reportTitle: 'Gutter'
},
{
fileName: 'SubSections.flxr',
reportName: 'SubSections',
reportTitle: 'Sub Sections'
}
]
},
{
name: 'MedicalReports',
text: 'Medical Reports',
reports: [
{
fileName: 'BloodTestReport.flxr',
reportName: 'BloodTest',
reportTitle: 'Blood Test Report'
},
{
fileName: 'FoodAllergyTest.flxr',
reportName: 'FoodAllergyTest',
reportTitle: 'Food Allergy Test'
}
]
},
{
name: 'MiscReports',
text: 'Misc Reports',
reports: [
{
fileName: 'CrossTab.flxr',
reportName: 'Cross-tab Reports',
reportTitle: 'Cross Tab Reports'
},
{
fileName: 'MailMerge.flxr',
reportName: 'Mail Merge',
reportTitle: 'Mail Merge'
},
{
fileName: 'PriceComparison.flxr',
reportName: 'PriceComparison',
reportTitle: 'Price Comparison'
}
]
},
{
name: 'TelecomReports',
text: 'Telecom Reports',
reports: [
{
fileName: 'TelephoneBillReport.flxr',
reportName: 'TelephoneBill',
reportTitle: 'Telephone Bill Report'
}
]
}
]
};
}
body {
margin-bottom: 24px;
}
label {
margin-right: 3px;
}
.wj-viewer {
width: 100%;
display: block;
}
.report-names {
margin: 10px;
}
@media print {
.report-names {
display: none;
}
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.50-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import '@angular/compiler';
import { Component, enableProdMode, ɵresolveComponentResources } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { WjViewerModule } from '@mescius/wijmo.angular2.viewer';
import { getReports, TReportCategory } from './app.data';
//
@Component({
standalone: true,
imports: [WjViewerModule, BrowserModule, FormsModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
categories: TReportCategory[];
filePath: string;
reportName: string;
//
constructor() {
let reports = getReports(),
sr = reports.selectedReport;
//
this.categories = reports.categories;
this.reportInfo = `${sr.categoryName}/${sr.reportName}.flxr*${sr.reportName}`;
}
//
get reportInfo(): string {
return `${this.filePath}*${this.reportName}`;
}
set reportInfo(value: string) {
let info = value.split('*');
this.filePath = info[0];
this.reportName = info[1];
}
}
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Viewing FlexReport reports</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="container-fluid">
<div class="row report-names">
<label for="reports">Selected FlexReport Report:</label>
<select id="reports" class="combobox" [(ngModel)]="reportInfo">
<ng-template ngFor let-cat [ngForOf]="categories">
@if (cat.reports) {
<optgroup label="{{cat.text}}">
@for (rep of cat.reports; track rep;) {
<option [value]="cat.name + '/' + rep.fileName + '*' + rep.reportName">
{{rep.reportTitle}}
</option>
}
</optgroup>
}
</ng-template>
</select>
</div>
<wj-report-viewer
[serviceUrl]="'https://developer.mescius.com/componentone/demos/aspnet/c1webapi/latest/api/report'"
[filePath]="'ReportsRoot/' + filePath" [reportName]="reportName" [paginated]="true">
</wj-report-viewer>
</div>
export type TReport = {
fileName: string;
reportName: string;
reportTitle: string;
};
//
export type TReportCategory = {
name: string;
text: string;
reports: TReport[];
};
//
export type TReports = {
selectedReport: {
categoryName: string;
reportName: string;
};
categories: TReportCategory[];
};
//
export function getReports() {
return <TReports>{
selectedReport: {
categoryName: 'Formatting',
reportName: 'AlternateBackground'
},
categories: [
{
name: 'Controls',
text: 'Controls',
reports: [
{
fileName: 'AllCharts.flxr',
reportName: 'AllCharts',
reportTitle: 'All Charts'
},
{
fileName: 'BarcodeProductLabels.flxr',
reportName: 'Product Labels (EAN-13, Label 5096)',
reportTitle: 'Barcode Product Labels'
},
{
fileName: 'BarcodeShippingLabels.flxr',
reportName: 'Shipping Labels (Code 128, Label 5164)',
reportTitle: 'Barcode Shipping Labels'
},
{
fileName: 'BoundImages.flxr',
reportName: 'Bound Images',
reportTitle: 'Bound Images'
},
{
fileName: 'Charts.flxr',
reportName: 'Charts',
reportTitle: 'Charts'
},
{
fileName: 'CheckBox.flxr',
reportName: 'CheckBox',
reportTitle: 'Check Box'
},
{
fileName: 'ComplexExpressions.flxr',
reportName: 'ComplexExpressions',
reportTitle: 'Complex Expressions'
},
{
fileName: 'NewCharts.flxr',
reportName: 'NewCharts',
reportTitle: 'New Charts'
},
{
fileName: 'PageHeadersInSubreports.flxr',
reportName: 'Page Headers in Subreports',
reportTitle: 'PageHeader In Subreports'
},
{
fileName: 'ParagraphField.flxr',
reportName: 'ParagraphField',
reportTitle: 'Paragraph Field'
},
{
fileName: 'RTFField.flxr',
reportName: 'RTFField',
reportTitle: 'RTF Field'
},
{
fileName: 'Shapes.flxr',
reportName: 'Shapes',
reportTitle: 'Shapes'
},
{
fileName: 'UnboundImages.flxr',
reportName: 'Unbound Images',
reportTitle: 'Unbound Images'
}
]
},
{
name: 'DataBinding',
text: 'Data Binding',
reports: [
{
fileName: 'MultiDataSource.flxr',
reportName: 'MultiDataSource',
reportTitle: 'Multiple Data Source'
},
{
fileName: 'Nwind.flxr',
reportName: 'Invoice',
reportTitle: 'NWind'
},
{
fileName: 'StoredProcedure.flxr',
reportName: 'Alphabetical List of Products',
reportTitle: 'Stored Procedure'
}
]
},
{
name: 'DataCalculations',
text: 'Data Calculations',
reports: [
{
fileName: 'Aggregates.flxr',
reportName: 'Aggregates',
reportTitle: 'Aggregates'
},
{
fileName: 'CalculatedFields.flxr',
reportName: 'CalculatedFields',
reportTitle: 'Calculated Fields'
},
{
fileName: 'GroupPageCounts.flxr',
reportName: 'GroupPageCounts',
reportTitle: 'Page Counts'
},
{
fileName: 'RunningSums.flxr',
reportName: 'Running Sums',
reportTitle: 'Running Sums'
}
]
},
{
name: 'DataManipulation',
text: 'Data Manipulation',
reports: [
{
fileName: 'CascadingParameters.flxr',
reportName: 'Cascading Parameters',
reportTitle: 'Cascading Parameters'
},
{
fileName: 'MultivalueParameters.flxr',
reportName: 'MultivalueParameters',
reportTitle: 'Multivalue Parameters'
},
{
fileName: 'Parameters.flxr',
reportName: 'Parameters',
reportTitle: 'Parameters'
},
{
fileName: 'Sorting.flxr',
reportName: 'Sorting',
reportTitle: 'Sorting'
}
]
},
{
name: 'EnterpriseReports',
text: 'Enterprise Reports',
reports: [
{
fileName: 'EmployeeExpReport.flxr',
reportName: 'EmpExpenseReport',
reportTitle: 'Employee Expense Report'
},
{
fileName: 'MarketingProjectPlan.flxr',
reportName: 'MarketingProjectPlan',
reportTitle: 'Marketing Project Plan'
},
{
fileName: 'MonthlyProjectExpenseTracking.flxr',
reportName: 'MonthlyProjectExpenseTracking',
reportTitle: 'Monthly Project Expense'
},
{
fileName: 'OrganizationChart.flxr',
reportName: 'OrganizationChart',
reportTitle: 'Organization Chart'
}
]
},
{
name: 'FinancialReports',
text: 'Financial Reports',
reports: [
{
fileName: 'BalanceSheet.flxr',
reportName: 'BalanceSheet',
reportTitle: 'Balance Sheet'
},
{
fileName: 'InventoryManagementReport.flxr',
reportName: 'InventoryManagementReport',
reportTitle: 'Inventory Management Report'
},
{
fileName: 'MonthlyBudget.flxr',
reportName: 'MonthlyBudget',
reportTitle: 'Monthly Budget'
}
]
},
{
name: 'Formatting',
text: 'Formatting',
reports: [
{
fileName: 'AlternateBackground.flxr',
reportName: 'AlternateBackground',
reportTitle: 'Alternating Background'
},
{
fileName: 'ConditionalFormatting.flxr',
reportName: 'ConditionalFormatting',
reportTitle: 'Conditional Formatting'
},
{
fileName: 'Watermark.flxr',
reportName: 'Watermark',
reportTitle: 'Watermark'
}
]
},
{
name: 'Layout',
text: 'Layout',
reports: [
{
fileName: 'Layout.flxr',
reportName: 'Layout',
reportTitle: 'Can Grow/Can Shrink'
},
{
fileName: 'ContinuedHeaders.flxr',
reportName: 'Continued Headers',
reportTitle: 'Continued Headers'
},
{
fileName: 'CustomPaperSize.flxr',
reportName: 'Custom Paper Size',
reportTitle: 'Custom Paper Size'
},
{
fileName: 'DynamicPH.flxr',
reportName: 'Dynamic Page Header',
reportTitle: 'Dynamic Page Headers'
},
{
fileName: 'ForcePageBreaks.flxr',
reportName: 'Force Page Breaks',
reportTitle: 'Force Page Breaks'
},
{
fileName: 'Gutter.flxr',
reportName: 'Gutter',
reportTitle: 'Gutter'
},
{
fileName: 'SubSections.flxr',
reportName: 'SubSections',
reportTitle: 'Sub Sections'
}
]
},
{
name: 'MedicalReports',
text: 'Medical Reports',
reports: [
{
fileName: 'BloodTestReport.flxr',
reportName: 'BloodTest',
reportTitle: 'Blood Test Report'
},
{
fileName: 'FoodAllergyTest.flxr',
reportName: 'FoodAllergyTest',
reportTitle: 'Food Allergy Test'
}
]
},
{
name: 'MiscReports',
text: 'Misc Reports',
reports: [
{
fileName: 'CrossTab.flxr',
reportName: 'Cross-tab Reports',
reportTitle: 'Cross Tab Reports'
},
{
fileName: 'MailMerge.flxr',
reportName: 'Mail Merge',
reportTitle: 'Mail Merge'
},
{
fileName: 'PriceComparison.flxr',
reportName: 'PriceComparison',
reportTitle: 'Price Comparison'
}
]
},
{
name: 'TelecomReports',
text: 'Telecom Reports',
reports: [
{
fileName: 'TelephoneBillReport.flxr',
reportName: 'TelephoneBill',
reportTitle: 'Telephone Bill Report'
}
]
}
]
};
}
body {
margin-bottom: 24px;
}
label {
margin-right: 3px;
}
.wj-viewer {
width: 100%;
display: block;
}
.report-names {
margin: 10px;
}
@media print {
.report-names {
display: none;
}
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/di': 'npm:@angular/core/fesm2022/primitives/di.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useState } from 'react';
import * as wjViewer from '@mescius/wijmo.react.viewer';
import './app.css';
import { categories } from './data';
function App() {
const [category, setCategory] = useState(categories[6]);
const [report, setReport] = useState(category.reports[0]);
const handleReportChange = (event) => {
const [categoryName, reportName] = event.currentTarget.value.split('/');
const category = categories.find((category) => category.name === categoryName);
if (category) {
const report = category.reports.find((report) => report.name === reportName);
if (report) {
setCategory(category);
setReport(report);
}
}
};
return (<div className="container-fluid">
<div className="row report-names">
<label>Selected FlexReport Report:</label>
<select id="reports" className="combobox" value={`${category.name}/${report.name}`} onChange={handleReportChange}>
{categories.map((cat) => (<optgroup key={cat.name} label={cat.title}>
{cat.reports.map((rep) => (<option key={rep.name} value={`${cat.name}/${rep.name}`}>
{rep.title}
</option>))}
</optgroup>))}
</select>
</div>
<wjViewer.ReportViewer filePath={`ReportsRoot/${category.name}/${report.filename}`} reportName={report.name} paginated={true} serviceUrl="https://developer.mescius.com/componentone/demos/aspnet/c1webapi/latest/api/report"/>
</div>);
}
;
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Wijmo FlexGrid Column DataMaps</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
label {
margin-right: 3px;
}
.container-fluid .wj-viewer {
width: 100%;
display: block;
}
.report-names {
margin: 10px;
}
@media print {
.report-names {
display: none;
}
}
export const categories = [
{
name: 'Controls',
title: 'Controls',
reports: [
{
filename: 'AllCharts.flxr',
name: 'AllCharts',
title: 'All Charts'
},
{
filename: 'BarcodeProductLabels.flxr',
name: 'Product Labels (EAN-13, Label 5096)',
title: 'Barcode Product Labels'
},
{
filename: 'BarcodeShippingLabels.flxr',
name: 'Shipping Labels (Code 128, Label 5164)',
title: 'Barcode Shipping Labels'
},
{
filename: 'BoundImages.flxr',
name: 'Bound Images',
title: 'Bound Images'
},
{
filename: 'Charts.flxr',
name: 'Charts',
title: 'Charts'
},
{
filename: 'CheckBox.flxr',
name: 'CheckBox',
title: 'Check Box'
},
{
filename: 'ComplexExpressions.flxr',
name: 'ComplexExpressions',
title: 'Complex Expressions'
},
{
filename: 'NewCharts.flxr',
name: 'NewCharts',
title: 'New Charts'
},
{
filename: 'PageHeadersInSubreports.flxr',
name: 'Page Headers in Subreports',
title: 'PageHeader In Subreports'
},
{
filename: 'ParagraphField.flxr',
name: 'ParagraphField',
title: 'Paragraph Field'
},
{
filename: 'RTFField.flxr',
name: 'RTFField',
title: 'RTF Field'
},
{
filename: 'Shapes.flxr',
name: 'Shapes',
title: 'Shapes'
},
{
filename: 'UnboundImages.flxr',
name: 'Unbound Images',
title: 'Unbound Images'
}
]
},
{
name: 'DataBinding',
title: 'Data Binding',
reports: [
{
filename: 'MultiDataSource.flxr',
name: 'MultiDataSource',
title: 'Multiple Data Source'
},
{
filename: 'Nwind.flxr',
name: 'Invoice',
title: 'NWind'
},
{
filename: 'StoredProcedure.flxr',
name: 'Alphabetical List of Products',
title: 'Stored Procedure'
}
]
},
{
name: 'DataCalculations',
title: 'Data Calculations',
reports: [
{
filename: 'Aggregates.flxr',
name: 'Aggregates',
title: 'Aggregates'
},
{
filename: 'CalculatedFields.flxr',
name: 'CalculatedFields',
title: 'Calculated Fields'
},
{
filename: 'GroupPageCounts.flxr',
name: 'GroupPageCounts',
title: 'Page Counts'
},
{
filename: 'RunningSums.flxr',
name: 'Running Sums',
title: 'Running Sums'
}
]
},
{
name: 'DataManipulation',
title: 'Data Manipulation',
reports: [
{
filename: 'CascadingParameters.flxr',
name: 'Cascading Parameters',
title: 'Cascading Parameters'
},
{
filename: 'MultivalueParameters.flxr',
name: 'MultivalueParameters',
title: 'Multivalue Parameters'
},
{
filename: 'Parameters.flxr',
name: 'Parameters',
title: 'Parameters'
},
{
filename: 'Sorting.flxr',
name: 'Sorting',
title: 'Sorting'
}
]
},
{
name: 'EnterpriseReports',
title: 'Enterprise Reports',
reports: [
{
filename: 'EmployeeExpReport.flxr',
name: 'EmpExpenseReport',
title: 'Employee Expense Report'
},
{
filename: 'MarketingProjectPlan.flxr',
name: 'MarketingProjectPlan',
title: 'Marketing Project Plan'
},
{
filename: 'MonthlyProjectExpenseTracking.flxr',
name: 'MonthlyProjectExpenseTracking',
title: 'Monthly Project Expense'
},
{
filename: 'OrganizationChart.flxr',
name: 'OrganizationChart',
title: 'Organization Chart'
}
]
},
{
name: 'FinancialReports',
title: 'Financial Reports',
reports: [
{
filename: 'BalanceSheet.flxr',
name: 'BalanceSheet',
title: 'Balance Sheet'
},
{
filename: 'InventoryManagementReport.flxr',
name: 'InventoryManagementReport',
title: 'Inventory Management Report'
},
{
filename: 'MonthlyBudget.flxr',
name: 'MonthlyBudget',
title: 'Monthly Budget'
}
]
},
{
name: 'Formatting',
title: 'Formatting',
reports: [
{
filename: 'AlternateBackground.flxr',
name: 'AlternateBackground',
title: 'Alternating Background'
},
{
filename: 'ConditionalFormatting.flxr',
name: 'ConditionalFormatting',
title: 'Conditional Formatting'
},
{
filename: 'Watermark.flxr',
name: 'Watermark',
title: 'Watermark'
}
]
},
{
name: 'Layout',
title: 'Layout',
reports: [
{
filename: 'Layout.flxr',
name: 'Layout',
title: 'Can Grow/Can Shrink'
},
{
filename: 'ContinuedHeaders.flxr',
name: 'Continued Headers',
title: 'Continued Headers'
},
{
filename: 'CustomPaperSize.flxr',
name: 'Custom Paper Size',
title: 'Custom Paper Size'
},
{
filename: 'DynamicPH.flxr',
name: 'Dynamic Page Header',
title: 'Dynamic Page Headers'
},
{
filename: 'ForcePageBreaks.flxr',
name: 'Force Page Breaks',
title: 'Force Page Breaks'
},
{
filename: 'Gutter.flxr',
name: 'Gutter',
title: 'Gutter'
},
{
filename: 'SubSections.flxr',
name: 'SubSections',
title: 'Sub Sections'
}
]
},
{
name: 'MedicalReports',
title: 'Medical Reports',
reports: [
{
filename: 'BloodTestReport.flxr',
name: 'BloodTest',
title: 'Blood Test Report'
},
{
filename: 'FoodAllergyTest.flxr',
name: 'FoodAllergyTest',
title: 'Food Allergy Test'
}
]
},
{
name: 'MiscReports',
title: 'Misc Reports',
reports: [
{
filename: 'CrossTab.flxr',
name: 'Cross-tab Reports',
title: 'Cross Tab Reports'
},
{
filename: 'MailMerge.flxr',
name: 'Mail Merge',
title: 'Mail Merge'
},
{
filename: 'PriceComparison.flxr',
name: 'PriceComparison',
title: 'Price Comparison'
}
]
},
{
name: 'TelecomReports',
title: 'Telecom Reports',
reports: [
{
filename: 'TelephoneBillReport.flxr',
name: 'TelephoneBill',
title: 'Telephone Bill Report'
}
]
}
];
(function (global) {
window.process = {
env: {
NODE_ENV: "production"
}
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js",
"@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js",
"@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js",
"@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js",
"@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js",
"@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js",
"@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js",
"@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js",
"@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js",
"@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js",
'@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js',
"@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js",
"@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js",
"@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js",
"@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js",
'@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js',
"@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js",
"@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js",
'@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js',
"@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js",
"@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js",
"@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js",
"@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js",
"@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js",
"@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js",
'@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'react': 'npm:react/index.js',
'react-dom': 'npm:react-dom/index.js',
'react-dom/client': 'npm:react-dom/client.js',
"scheduler": "npm:scheduler/index.js",
'redux': 'npm:redux/dist/redux.min.js',
'react-redux': 'npm:react-redux/dist/react-redux.min.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
"react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

<template>
<div class="container-fluid">
<div class="row report-names">
<label for="reports">Selected FlexReport Report:</label>
<select id="reports" class="combobox" v-model="reportInfo">
<optgroup v-for="cat in categories" :key="cat.name" :label="cat.text">
<option v-for="rep in cat.reports" :key="rep.fileName"
:value="cat.name + '/' + rep.fileName + '*' + rep.reportName">
{{ rep.reportTitle }}
</option>
</optgroup>
</select>
</div>
<wj-report-viewer
serviceUrl="https://developer.mescius.com/componentone/demos/aspnet/c1webapi/latest/api/report"
:filePath="'ReportsRoot/' + filePath" :reportName="reportName" :paginated=true>
</wj-report-viewer>
</div>
</template>
<script setup>
import { getReports } from "./data";
import { ref, computed } from "vue";
const categories = ref(null);
const filePath = ref("");
const reportName = ref("");
const reportInfo = computed({
get() {
return `${filePath.value}*${reportName.value}`;
},
set(value) {
let info = value.split('*');
filePath.value = info[0];
reportName.value = info[1];
}
});
let reports = getReports(),
sr = reports.selectedReport;
//
categories.value = reports.categories;
reportInfo.value = `${sr.categoryName}/${sr.reportName}.flxr*${sr.reportName}`;
</script>
<style>
body {
margin-bottom: 24px;
}
label {
margin-right: 3px;
}
.container-fluid .wj-viewer {
width: 100%;
display: block;
}
.report-names {
margin: 10px;
}
@media print {
.report-names {
display: none;
}
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Viewing FlexReport reports</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
export function getReports() {
return {
selectedReport: {
categoryName: 'Formatting',
reportName: 'AlternateBackground'
},
categories: [
{
name: 'Controls',
text: 'Controls',
reports: [
{
fileName: 'AllCharts.flxr',
reportName: 'AllCharts',
reportTitle: 'All Charts'
},
{
fileName: 'BarcodeProductLabels.flxr',
reportName: 'Product Labels (EAN-13, Label 5096)',
reportTitle: 'Barcode Product Labels'
},
{
fileName: 'BarcodeShippingLabels.flxr',
reportName: 'Shipping Labels (Code 128, Label 5164)',
reportTitle: 'Barcode Shipping Labels'
},
{
fileName: 'BoundImages.flxr',
reportName: 'Bound Images',
reportTitle: 'Bound Images'
},
{
fileName: 'Charts.flxr',
reportName: 'Charts',
reportTitle: 'Charts'
},
{
fileName: 'CheckBox.flxr',
reportName: 'CheckBox',
reportTitle: 'Check Box'
},
{
fileName: 'ComplexExpressions.flxr',
reportName: 'ComplexExpressions',
reportTitle: 'Complex Expressions'
},
{
fileName: 'NewCharts.flxr',
reportName: 'NewCharts',
reportTitle: 'New Charts'
},
{
fileName: 'PageHeadersInSubreports.flxr',
reportName: 'Page Headers in Subreports',
reportTitle: 'PageHeader In Subreports'
},
{
fileName: 'ParagraphField.flxr',
reportName: 'ParagraphField',
reportTitle: 'Paragraph Field'
},
{
fileName: 'RTFField.flxr',
reportName: 'RTFField',
reportTitle: 'RTF Field'
},
{
fileName: 'Shapes.flxr',
reportName: 'Shapes',
reportTitle: 'Shapes'
},
{
fileName: 'UnboundImages.flxr',
reportName: 'Unbound Images',
reportTitle: 'Unbound Images'
}
]
},
{
name: 'DataBinding',
text: 'Data Binding',
reports: [
{
fileName: 'MultiDataSource.flxr',
reportName: 'MultiDataSource',
reportTitle: 'Multiple Data Source'
},
{
fileName: 'Nwind.flxr',
reportName: 'Invoice',
reportTitle: 'NWind'
},
{
fileName: 'StoredProcedure.flxr',
reportName: 'Alphabetical List of Products',
reportTitle: 'Stored Procedure'
}
]
},
{
name: 'DataCalculations',
text: 'Data Calculations',
reports: [
{
fileName: 'Aggregates.flxr',
reportName: 'Aggregates',
reportTitle: 'Aggregates'
},
{
fileName: 'CalculatedFields.flxr',
reportName: 'CalculatedFields',
reportTitle: 'Calculated Fields'
},
{
fileName: 'GroupPageCounts.flxr',
reportName: 'GroupPageCounts',
reportTitle: 'Page Counts'
},
{
fileName: 'RunningSums.flxr',
reportName: 'Running Sums',
reportTitle: 'Running Sums'
}
]
},
{
name: 'DataManipulation',
text: 'Data Manipulation',
reports: [
{
fileName: 'CascadingParameters.flxr',
reportName: 'Cascading Parameters',
reportTitle: 'Cascading Parameters'
},
{
fileName: 'MultivalueParameters.flxr',
reportName: 'MultivalueParameters',
reportTitle: 'Multivalue Parameters'
},
{
fileName: 'Parameters.flxr',
reportName: 'Parameters',
reportTitle: 'Parameters'
},
{
fileName: 'Sorting.flxr',
reportName: 'Sorting',
reportTitle: 'Sorting'
}
]
},
{
name: 'EnterpriseReports',
text: 'Enterprise Reports',
reports: [
{
fileName: 'EmployeeExpReport.flxr',
reportName: 'EmpExpenseReport',
reportTitle: 'Employee Expense Report'
},
{
fileName: 'MarketingProjectPlan.flxr',
reportName: 'MarketingProjectPlan',
reportTitle: 'Marketing Project Plan'
},
{
fileName: 'MonthlyProjectExpenseTracking.flxr',
reportName: 'MonthlyProjectExpenseTracking',
reportTitle: 'Monthly Project Expense'
},
{
fileName: 'OrganizationChart.flxr',
reportName: 'OrganizationChart',
reportTitle: 'Organization Chart'
}
]
},
{
name: 'FinancialReports',
text: 'Financial Reports',
reports: [
{
fileName: 'BalanceSheet.flxr',
reportName: 'BalanceSheet',
reportTitle: 'Balance Sheet'
},
{
fileName: 'InventoryManagementReport.flxr',
reportName: 'InventoryManagementReport',
reportTitle: 'Inventory Management Report'
},
{
fileName: 'MonthlyBudget.flxr',
reportName: 'MonthlyBudget',
reportTitle: 'Monthly Budget'
}
]
},
{
name: 'Formatting',
text: 'Formatting',
reports: [
{
fileName: 'AlternateBackground.flxr',
reportName: 'AlternateBackground',
reportTitle: 'Alternating Background'
},
{
fileName: 'ConditionalFormatting.flxr',
reportName: 'ConditionalFormatting',
reportTitle: 'Conditional Formatting'
},
{
fileName: 'Watermark.flxr',
reportName: 'Watermark',
reportTitle: 'Watermark'
}
]
},
{
name: 'Layout',
text: 'Layout',
reports: [
{
fileName: 'Layout.flxr',
reportName: 'Layout',
reportTitle: 'Can Grow/Can Shrink'
},
{
fileName: 'ContinuedHeaders.flxr',
reportName: 'Continued Headers',
reportTitle: 'Continued Headers'
},
{
fileName: 'CustomPaperSize.flxr',
reportName: 'Custom Paper Size',
reportTitle: 'Custom Paper Size'
},
{
fileName: 'DynamicPH.flxr',
reportName: 'Dynamic Page Header',
reportTitle: 'Dynamic Page Headers'
},
{
fileName: 'ForcePageBreaks.flxr',
reportName: 'Force Page Breaks',
reportTitle: 'Force Page Breaks'
},
{
fileName: 'Gutter.flxr',
reportName: 'Gutter',
reportTitle: 'Gutter'
},
{
fileName: 'SubSections.flxr',
reportName: 'SubSections',
reportTitle: 'Sub Sections'
}
]
},
{
name: 'MedicalReports',
text: 'Medical Reports',
reports: [
{
fileName: 'BloodTestReport.flxr',
reportName: 'BloodTest',
reportTitle: 'Blood Test Report'
},
{
fileName: 'FoodAllergyTest.flxr',
reportName: 'FoodAllergyTest',
reportTitle: 'Food Allergy Test'
}
]
},
{
name: 'MiscReports',
text: 'Misc Reports',
reports: [
{
fileName: 'CrossTab.flxr',
reportName: 'Cross-tab Reports',
reportTitle: 'Cross Tab Reports'
},
{
fileName: 'MailMerge.flxr',
reportName: 'Mail Merge',
reportTitle: 'Mail Merge'
},
{
fileName: 'PriceComparison.flxr',
reportName: 'PriceComparison',
reportTitle: 'Price Comparison'
}
]
},
{
name: 'TelecomReports',
text: 'Telecom Reports',
reports: [
{
fileName: 'TelephoneBillReport.flxr',
reportName: 'TelephoneBill',
reportTitle: 'Telephone Bill Report'
}
]
}
]
};
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' }
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js",
"@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js",
"@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js",
"@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js",
"@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js",
"@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js",
"@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js",
"@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js",
'@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js',
"@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js",
"@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js",
"@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js",
"@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js",
"@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js",
"@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js",
'@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js',
"@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js",
"@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js",
'@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
"@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js",
"@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js",
"@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js",
"@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js",
"@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js",
"@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js",
'@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
//'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);